import {getDataSet, getEventParam, toast} from "../../../../utils/utils";
import Route from "../../../../model/route";
import {courseTypes, liveStatus, logicStatus} from "../../../../model/enum";
import Api from '../../../../model/api';

Component({
    properties: {
        isPre: {
            type: Number,
        },
        courseList: {
            type: Array
        },
        obj: {
            type: Object,
        },
    },
    data: {
        liveStatusEnum: liveStatus,
        courseTypesEnum: courseTypes
    },
    methods: {
        async toLive(e) {
            let item = getDataSet(e, "item");
            let detail = JSON.stringify(this.data.obj);
            let plan = JSON.stringify(item);
            let isPre = this.data.isPre;
            if (isPre) {
                if (item.isReplay == logicStatus.NO) {
                    if (item.courseType == courseTypes.RECORD) {
                        toast('课程不允许回放!');
                    }
                    if (item.isLive && item.liveStatus == liveStatus.LIVEEND) {
                        toast('课程不允许回放!');
                    }
                    return;
                } else if (item.isReplay == logicStatus.YES) {
                    if (item.isLive && item.liveStatus != liveStatus.LIVEEND) {
                        return;
                    }
                }
            }

            let type = "";
            if (item.courseType == courseTypes.RECORD) {
                type = courseTypes.RECORD;
                let res = await Api.getCourseOpenStatus(item.id).catch(err => {
                    wx.hideToast();
                    wx.showModal({
                        title: err.msg || '课程还未开始~',
                        content: `${item.courseStart} 开始上课`,
                        showCancel: false
                    });
                    return false;
                });
                if (!res) {
                    return;
                }
            }

            if (item.isReplay && item.isLive && item.liveStatus == liveStatus.LIVEEND && type == "") {
                type = courseTypes.PLAYBACK;
            }

            if (item.isLive && type == "") {
                type = courseTypes.LIVE;
            }

            if (type == "") {
                type = courseTypes.OFFLINE;
            }

            Route.toCourseDetail(type, item.id, detail, plan, isPre, {
                refresh: () => {
                    this.triggerEvent("refresh")
                }
            });

        },
        selectDate(e) {
            this.triggerEvent("select", getEventParam(e))
        },
        refresh(e) {
            this.triggerEvent("refresh")
        }
    }


});
