import {logicStatus} from "../../model/enum";
import Route from "../../model/route";
import Api from "../../model/api";

Page({

    data: {
        eInfo: {},
        isPre: logicStatus.NO,
        logicStatusEnum: logicStatus,

    },
    onLoad: function (options) {
        const {isPre, detail} = options;
        let eInfo = JSON.parse(detail);
        this.setData({
            isPre,
            eInfo
        })
    },
    toCertificate(e) {
        let detail = JSON.stringify(this.data.eInfo);
        Route.toCertificate(detail, {
            get: () => {
                const eventChannel = this.getOpenerEventChannel()
                eventChannel.emit('refresh');
            }
        })
    },
    toQuestion(e) {//调查
        let eInfo = this.data.eInfo;
        if (eInfo.isQuestionnaire == logicStatus.NO) {
            Route.toQuestionDetail(eInfo.questionnaireId, eInfo.teamId, "", "", eInfo.eduStuId,
                {
                    answer: () => {
                        this.setData({
                            'eInfo.isQuestionnaire': 1
                        })
                        const eventChannel = this.getOpenerEventChannel()
                        eventChannel.emit('refresh');
                    }
                });
        } else {
            // toast("已完成问卷")
            Route.toQuestionResult(eInfo.questionnaireId, eInfo.eduStuId);
        }
    },
    toQuestion2(e) {//综合
        let eInfo = this.data.eInfo;
        if (eInfo.isComprehensive == logicStatus.NO) {
            Route.toQuestionDetail(eInfo.comprehensiveId, eInfo.teamId, "", "", eInfo.eduStuId,
                {
                    answer: () => {
                        this.setData({
                            'eInfo.isComprehensive': 1
                        })
                        const eventChannel = this.getOpenerEventChannel()
                        eventChannel.emit('refresh');
                    }
                });
        } else {
            // toast("已完成问卷")
            Route.toQuestionResult(eInfo.comprehensiveId, eInfo.eduStuId);
        }
    },
    async toExam(e) {//期末
        let eInfo = this.data.eInfo;
        if (eInfo.isExam == logicStatus.NO) {
            let {teamId, eduStuId: studentId} = this.data.eInfo;
            let res = await Api.checkFinalExam({
                teamId,
                studentId
            }).catch(err => {
                return false;
            });
            if (!res) {
                return;
            }
            Route.toExamDetail(eInfo.paperId, eInfo.examId, eInfo.eduStuId, {
                answer: () => {
                    this.setData({
                        'eInfo.isExam': 1
                    })
                    const eventChannel = this.getOpenerEventChannel()
                    eventChannel.emit('refresh');
                }
            });
        } else {
            // toast("已完成试卷");
            Route.toExamResult(eInfo.examId, eInfo.eduStuId);
        }
    }

})
