import Api from "../../model/api";
import {getDataSet, getEventParam, isMobile, toast} from "../../utils/utils";
import Config from "../../model/config";

Page({
    data: {
        formData: {
            name: "",
            phone: "",
            verify: '',
            idCard: "",
            perType: -1,
            code: "",
        },
        errMsg: "",
        studentTypeData: []
    },
    async onLoad(options) {
        const res = await Api.getPulishDict(Config.DICT.STUDENT_TYPE);
        const studentTypeData = res.data;
        this.setData({studentTypeData})
    },
    changeInfo(e) {
        let eventParam = getEventParam(e);
        this.setData({
            ...eventParam
        })
    },
    onChange(e) {
        const field = getDataSet(e, "field");
        this.setData({
            [field]: getEventParam(e)
        })
    },
    async submit() {
        if (!this.data.formData.name.trim()) {
            toast('请输入姓名')
            return;
        }
        if (!isMobile(this.data.formData.phone)) {
            toast('请输入正确的手机号')
            return;
        }
        if (!this.data.formData.verify) {
            toast('请输入验证码')
            return;
        }
        if (!this.data.formData.idCard) {
            toast('请输入身份证号')
            return;
        }
        if (this.data.formData.perType == -1) {
            toast('请选择学员类别')
            return;
        }
        if (!this.data.formData.code.trim()) {
            wx.showModal({
                title: "单位所在的行政区域提示",
                content: "吉林省社区工作者必须选择到社区一级，非吉林省社区工作者必须选择到市一级!",
                showCancel:false
            })
            return;
        }
        await Api.register(this.data.formData, true);
        toast("注册成功")
        wx.navigateBack();
    },
})
